10DLC
Assign phone number to campaign
Assign a US phone number to an approved 10DLC campaign. The campaign must be in approved status.
POST
/
v1
/
10dlc
/
campaigns
/
{campaignId}
/
phone-numbers
Assign phone number to campaign
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumberId": "pn_abc123"
}
'import requests
url = "https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/phone-numbers"
payload = { "phoneNumberId": "pn_abc123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumberId: 'pn_abc123'})
};
fetch('https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignment": {
"id": "<string>",
"campaignId": "<string>",
"phoneNumberId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>",
"assignedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
10DLC campaign ID.
Body
application/json
ID of the phone number to assign.
Response
Phone number assigned.
Show child attributes
Show child attributes
⌘I
Assign phone number to campaign
